#ifndef PGSELECT_H
#define PGSELECT_H
#include <stdio.h>
#include <stdlib.h>

#define OPTION_FLAG     '-'
#define OPTION_FLAG_POS (0)
#define OPTION_POS      (1)




typedef struct pgSelectInfo {
    long flagRedirect;

    long flaghostname;
    char* hostname;
    
    long flagOut;
    char* Out;
    FILE* fptOut;
    
    long flagconfigFile;
    char* configFile;
    FILE* fptconfigFile;
    
    long flagmode;
    long mode;
    
    long flagport;
    char* port;
    
    long flagdbName;
    char* dbName;
    
} pgSelectInfo;
#ifdef __cplusplus
extern "C" {
#endif
extern void argCheck(pgSelectInfo* info, int argc, char* avgv[]);
extern void khorosInit(int argc, char* avgv[]);
extern void init0(pgSelectInfo* info);
extern void init1(pgSelectInfo* info);
extern void usage(char* usage);
extern void additionalUsage(void);
extern void htmlBeforeUsage(char* usage);
extern void htmlAfterUsage(char* usage);
#ifdef __cplusplus
};
#endif
#endif /* PGSELECT_H */
